---
title: "ProcessDocument"
description: "Processes at most 5 pages and 10 MiB in 60 seconds. Retries compute and bill again; Idempotency-Key is not supported. Only successful pages are billed."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.ezghcloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: OCR API

`POST /v1/organizations/{orgId}/projects/{projectId}/ocr/processors/{processorId}/process`

Processes at most 5 pages and 10 MiB in 60 seconds. Retries compute and bill again; Idempotency-Key is not supported. Only successful pages are billed.

## Authentication

Requires one of the following:

- `apiKey`, http, header `Authorization`
- `sessionCookie`, apiKey, in cookie
- `oauth`, http, header `Authorization`

## Path parameters

- `ProcessDocument.path.orgId` (string, required)
  - format `uuid`
- `ProcessDocument.path.projectId` (string, required)
  - format `uuid`
- `ProcessDocument.path.processorId` (string, required)
  - format `uuid`

## Request body (application/json)

_Required._

- `ProcessDocument.document` (object, required)
  - `ProcessDocument.document.content` (string, required)
  - `ProcessDocument.document.mimeType` (string, required)
- `ProcessDocument.pages` (string, optional)

## Example request

```json
{
  "document": {
    "content": "string",
    "mimeType": "string"
  },
  "pages": "string"
}
```

## Request body (multipart/form-data)

- `ProcessDocument.multipart-form-data.document` (string, required)
  - format `binary`
- `ProcessDocument.multipart-form-data.options` (object, optional)
  - `ProcessDocument.multipart-form-data.options.pages` (string, optional)

### Example

```text
{
  "document": "string",
  "options": {
    "pages": "string"
  }
}
```

## Code samples

### cURL

```curl
curl --request POST \
  --url https://ocr.ezghcloud.com/v1/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/ocr/processors/497f6eca-6276-4993-bfeb-53cbbbba6f08/process \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "document": {
    "content": "string",
    "mimeType": "string"
  },
  "pages": "string"
}
'
```

### TypeScript

```typescript
const url = 'https://ocr.ezghcloud.com/v1/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/ocr/processors/497f6eca-6276-4993-bfeb-53cbbbba6f08/process';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json', Authorization: 'Bearer <token>'},
  body: JSON.stringify({document: {content: 'string', mimeType: 'string'}, pages: 'string'})
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://ocr.ezghcloud.com/v1/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/ocr/processors/497f6eca-6276-4993-bfeb-53cbbbba6f08/process"

payload = {
    "document": {
        "content": "string",
        "mimeType": "string"
    },
    "pages": "string"
}
headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer <token>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Processing response

#### Example

```json
{
  "model": "string",
  "modelVersion": "string",
  "outputFormat": "string",
  "pageCount": 0,
  "pages": [
    {
      "content": "string",
      "error": {
        "code": "string",
        "message": "string"
      },
      "layout": {
        "blocks": [
          {
            "boundingBox": [
              0,
              0,
              0,
              0
            ],
            "text": "string",
            "type": "string"
          }
        ],
        "height": 0,
        "width": 0
      },
      "page": 0,
      "status": "succeeded"
    }
  ],
  "pagesFailed": 0,
  "pagesSucceeded": 0,
  "processor": "string",
  "status": "succeeded",
  "usage": {
    "pages": 0
  }
}
```

- `ProcessDocument.response.200.model` (string, required)
- `ProcessDocument.response.200.modelVersion` (string, required)
- `ProcessDocument.response.200.outputFormat` (string, required)
- `ProcessDocument.response.200.pageCount` (integer, required)
- `ProcessDocument.response.200.pages` (array<object>, required)
  - `ProcessDocument.response.200.pages.layout` (any of, required)
    - any of: [PageLayout](/ocr-api/schemas/PageLayout/), `null`
  - `ProcessDocument.response.200.pages.page` (integer, required)
  - `ProcessDocument.response.200.pages.status` (unknown, required)
    - one of `"succeeded"`, `"failed"`
  - `ProcessDocument.response.200.pages.content` (string, optional)
  - `ProcessDocument.response.200.pages.error` (object, optional)
    - `ProcessDocument.response.200.pages.error.code` (string, required)
    - `ProcessDocument.response.200.pages.error.message` (string, required)
- `ProcessDocument.response.200.pagesFailed` (integer, required)
- `ProcessDocument.response.200.pagesSucceeded` (integer, required)
- `ProcessDocument.response.200.processor` (string, required)
- `ProcessDocument.response.200.status` (unknown, required)
  - one of `"succeeded"`, `"partial"`
- `ProcessDocument.response.200.usage` (object, required)
  - `ProcessDocument.response.200.usage.pages` (integer, required)

### 400

Platform error; quota_exceeded never has Retry-After.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ProcessDocument.response.400.error` (object, required)
  - `ProcessDocument.response.400.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ProcessDocument.response.400.error.message` (string, required)
    - maxLength 1024
  - `ProcessDocument.response.400.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ProcessDocument.response.400.error.issues.message` (string, required)
    - `ProcessDocument.response.400.error.issues.path` (string, required)
  - `ProcessDocument.response.400.error.quota` (object, optional) — quota_exceeded: the quota that refused the request (contracts/quotas.md, "When a quota is exceeded"). Never with Retry-After.
    - `ProcessDocument.response.400.error.quota.id` (string, required)
    - `ProcessDocument.response.400.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ProcessDocument.response.400.error.quota.limit` (integer, required)
      - min 0
    - `ProcessDocument.response.400.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ProcessDocument.response.400.error.quota.inFlight` (integer, optional)
      - min 0
    - `ProcessDocument.response.400.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ProcessDocument.response.400.error.quota.region` (string, optional)
    - `ProcessDocument.response.400.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ProcessDocument.response.400.error.quota.scopeResourceName` (string, optional)
    - `ProcessDocument.response.400.error.quota.used` (integer, optional)
      - min 0
    - `ProcessDocument.response.400.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 401

Platform error; quota_exceeded never has Retry-After.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ProcessDocument.response.401.error` (object, required)
  - `ProcessDocument.response.401.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ProcessDocument.response.401.error.message` (string, required)
    - maxLength 1024
  - `ProcessDocument.response.401.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ProcessDocument.response.401.error.issues.message` (string, required)
    - `ProcessDocument.response.401.error.issues.path` (string, required)
  - `ProcessDocument.response.401.error.quota` (object, optional) — quota_exceeded: the quota that refused the request (contracts/quotas.md, "When a quota is exceeded"). Never with Retry-After.
    - `ProcessDocument.response.401.error.quota.id` (string, required)
    - `ProcessDocument.response.401.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ProcessDocument.response.401.error.quota.limit` (integer, required)
      - min 0
    - `ProcessDocument.response.401.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ProcessDocument.response.401.error.quota.inFlight` (integer, optional)
      - min 0
    - `ProcessDocument.response.401.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ProcessDocument.response.401.error.quota.region` (string, optional)
    - `ProcessDocument.response.401.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ProcessDocument.response.401.error.quota.scopeResourceName` (string, optional)
    - `ProcessDocument.response.401.error.quota.used` (integer, optional)
      - min 0
    - `ProcessDocument.response.401.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 403

Platform error; quota_exceeded never has Retry-After.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ProcessDocument.response.403.error` (object, required)
  - `ProcessDocument.response.403.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ProcessDocument.response.403.error.message` (string, required)
    - maxLength 1024
  - `ProcessDocument.response.403.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ProcessDocument.response.403.error.issues.message` (string, required)
    - `ProcessDocument.response.403.error.issues.path` (string, required)
  - `ProcessDocument.response.403.error.quota` (object, optional) — quota_exceeded: the quota that refused the request (contracts/quotas.md, "When a quota is exceeded"). Never with Retry-After.
    - `ProcessDocument.response.403.error.quota.id` (string, required)
    - `ProcessDocument.response.403.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ProcessDocument.response.403.error.quota.limit` (integer, required)
      - min 0
    - `ProcessDocument.response.403.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ProcessDocument.response.403.error.quota.inFlight` (integer, optional)
      - min 0
    - `ProcessDocument.response.403.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ProcessDocument.response.403.error.quota.region` (string, optional)
    - `ProcessDocument.response.403.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ProcessDocument.response.403.error.quota.scopeResourceName` (string, optional)
    - `ProcessDocument.response.403.error.quota.used` (integer, optional)
      - min 0
    - `ProcessDocument.response.403.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 404

Platform error; quota_exceeded never has Retry-After.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ProcessDocument.response.404.error` (object, required)
  - `ProcessDocument.response.404.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ProcessDocument.response.404.error.message` (string, required)
    - maxLength 1024
  - `ProcessDocument.response.404.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ProcessDocument.response.404.error.issues.message` (string, required)
    - `ProcessDocument.response.404.error.issues.path` (string, required)
  - `ProcessDocument.response.404.error.quota` (object, optional) — quota_exceeded: the quota that refused the request (contracts/quotas.md, "When a quota is exceeded"). Never with Retry-After.
    - `ProcessDocument.response.404.error.quota.id` (string, required)
    - `ProcessDocument.response.404.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ProcessDocument.response.404.error.quota.limit` (integer, required)
      - min 0
    - `ProcessDocument.response.404.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ProcessDocument.response.404.error.quota.inFlight` (integer, optional)
      - min 0
    - `ProcessDocument.response.404.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ProcessDocument.response.404.error.quota.region` (string, optional)
    - `ProcessDocument.response.404.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ProcessDocument.response.404.error.quota.scopeResourceName` (string, optional)
    - `ProcessDocument.response.404.error.quota.used` (integer, optional)
      - min 0
    - `ProcessDocument.response.404.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 409

Platform error; quota_exceeded never has Retry-After.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ProcessDocument.response.409.error` (object, required)
  - `ProcessDocument.response.409.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ProcessDocument.response.409.error.message` (string, required)
    - maxLength 1024
  - `ProcessDocument.response.409.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ProcessDocument.response.409.error.issues.message` (string, required)
    - `ProcessDocument.response.409.error.issues.path` (string, required)
  - `ProcessDocument.response.409.error.quota` (object, optional) — quota_exceeded: the quota that refused the request (contracts/quotas.md, "When a quota is exceeded"). Never with Retry-After.
    - `ProcessDocument.response.409.error.quota.id` (string, required)
    - `ProcessDocument.response.409.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ProcessDocument.response.409.error.quota.limit` (integer, required)
      - min 0
    - `ProcessDocument.response.409.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ProcessDocument.response.409.error.quota.inFlight` (integer, optional)
      - min 0
    - `ProcessDocument.response.409.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ProcessDocument.response.409.error.quota.region` (string, optional)
    - `ProcessDocument.response.409.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ProcessDocument.response.409.error.quota.scopeResourceName` (string, optional)
    - `ProcessDocument.response.409.error.quota.used` (integer, optional)
      - min 0
    - `ProcessDocument.response.409.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 413

Platform error; quota_exceeded never has Retry-After.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ProcessDocument.response.413.error` (object, required)
  - `ProcessDocument.response.413.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ProcessDocument.response.413.error.message` (string, required)
    - maxLength 1024
  - `ProcessDocument.response.413.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ProcessDocument.response.413.error.issues.message` (string, required)
    - `ProcessDocument.response.413.error.issues.path` (string, required)
  - `ProcessDocument.response.413.error.quota` (object, optional) — quota_exceeded: the quota that refused the request (contracts/quotas.md, "When a quota is exceeded"). Never with Retry-After.
    - `ProcessDocument.response.413.error.quota.id` (string, required)
    - `ProcessDocument.response.413.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ProcessDocument.response.413.error.quota.limit` (integer, required)
      - min 0
    - `ProcessDocument.response.413.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ProcessDocument.response.413.error.quota.inFlight` (integer, optional)
      - min 0
    - `ProcessDocument.response.413.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ProcessDocument.response.413.error.quota.region` (string, optional)
    - `ProcessDocument.response.413.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ProcessDocument.response.413.error.quota.scopeResourceName` (string, optional)
    - `ProcessDocument.response.413.error.quota.used` (integer, optional)
      - min 0
    - `ProcessDocument.response.413.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 415

Platform error; quota_exceeded never has Retry-After.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ProcessDocument.response.415.error` (object, required)
  - `ProcessDocument.response.415.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ProcessDocument.response.415.error.message` (string, required)
    - maxLength 1024
  - `ProcessDocument.response.415.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ProcessDocument.response.415.error.issues.message` (string, required)
    - `ProcessDocument.response.415.error.issues.path` (string, required)
  - `ProcessDocument.response.415.error.quota` (object, optional) — quota_exceeded: the quota that refused the request (contracts/quotas.md, "When a quota is exceeded"). Never with Retry-After.
    - `ProcessDocument.response.415.error.quota.id` (string, required)
    - `ProcessDocument.response.415.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ProcessDocument.response.415.error.quota.limit` (integer, required)
      - min 0
    - `ProcessDocument.response.415.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ProcessDocument.response.415.error.quota.inFlight` (integer, optional)
      - min 0
    - `ProcessDocument.response.415.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ProcessDocument.response.415.error.quota.region` (string, optional)
    - `ProcessDocument.response.415.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ProcessDocument.response.415.error.quota.scopeResourceName` (string, optional)
    - `ProcessDocument.response.415.error.quota.used` (integer, optional)
      - min 0
    - `ProcessDocument.response.415.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 429

Platform error; quota_exceeded never has Retry-After.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ProcessDocument.response.429.error` (object, required)
  - `ProcessDocument.response.429.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ProcessDocument.response.429.error.message` (string, required)
    - maxLength 1024
  - `ProcessDocument.response.429.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ProcessDocument.response.429.error.issues.message` (string, required)
    - `ProcessDocument.response.429.error.issues.path` (string, required)
  - `ProcessDocument.response.429.error.quota` (object, optional) — quota_exceeded: the quota that refused the request (contracts/quotas.md, "When a quota is exceeded"). Never with Retry-After.
    - `ProcessDocument.response.429.error.quota.id` (string, required)
    - `ProcessDocument.response.429.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ProcessDocument.response.429.error.quota.limit` (integer, required)
      - min 0
    - `ProcessDocument.response.429.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ProcessDocument.response.429.error.quota.inFlight` (integer, optional)
      - min 0
    - `ProcessDocument.response.429.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ProcessDocument.response.429.error.quota.region` (string, optional)
    - `ProcessDocument.response.429.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ProcessDocument.response.429.error.quota.scopeResourceName` (string, optional)
    - `ProcessDocument.response.429.error.quota.used` (integer, optional)
      - min 0
    - `ProcessDocument.response.429.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 500

internal_error: a bug; the details are in the logs, under the request ID.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ProcessDocument.response.500.error` (object, required)
  - `ProcessDocument.response.500.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ProcessDocument.response.500.error.message` (string, required)
    - maxLength 1024
  - `ProcessDocument.response.500.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ProcessDocument.response.500.error.issues.message` (string, required)
    - `ProcessDocument.response.500.error.issues.path` (string, required)
  - `ProcessDocument.response.500.error.quota` (object, optional) — quota_exceeded: the quota that refused the request (contracts/quotas.md, "When a quota is exceeded"). Never with Retry-After.
    - `ProcessDocument.response.500.error.quota.id` (string, required)
    - `ProcessDocument.response.500.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ProcessDocument.response.500.error.quota.limit` (integer, required)
      - min 0
    - `ProcessDocument.response.500.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ProcessDocument.response.500.error.quota.inFlight` (integer, optional)
      - min 0
    - `ProcessDocument.response.500.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ProcessDocument.response.500.error.quota.region` (string, optional)
    - `ProcessDocument.response.500.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ProcessDocument.response.500.error.quota.scopeResourceName` (string, optional)
    - `ProcessDocument.response.500.error.quota.used` (integer, optional)
      - min 0
    - `ProcessDocument.response.500.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 502

Platform error; quota_exceeded never has Retry-After.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ProcessDocument.response.502.error` (object, required)
  - `ProcessDocument.response.502.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ProcessDocument.response.502.error.message` (string, required)
    - maxLength 1024
  - `ProcessDocument.response.502.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ProcessDocument.response.502.error.issues.message` (string, required)
    - `ProcessDocument.response.502.error.issues.path` (string, required)
  - `ProcessDocument.response.502.error.quota` (object, optional) — quota_exceeded: the quota that refused the request (contracts/quotas.md, "When a quota is exceeded"). Never with Retry-After.
    - `ProcessDocument.response.502.error.quota.id` (string, required)
    - `ProcessDocument.response.502.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ProcessDocument.response.502.error.quota.limit` (integer, required)
      - min 0
    - `ProcessDocument.response.502.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ProcessDocument.response.502.error.quota.inFlight` (integer, optional)
      - min 0
    - `ProcessDocument.response.502.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ProcessDocument.response.502.error.quota.region` (string, optional)
    - `ProcessDocument.response.502.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ProcessDocument.response.502.error.quota.scopeResourceName` (string, optional)
    - `ProcessDocument.response.502.error.quota.used` (integer, optional)
      - min 0
    - `ProcessDocument.response.502.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 503

Platform error; quota_exceeded never has Retry-After.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ProcessDocument.response.503.error` (object, required)
  - `ProcessDocument.response.503.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ProcessDocument.response.503.error.message` (string, required)
    - maxLength 1024
  - `ProcessDocument.response.503.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ProcessDocument.response.503.error.issues.message` (string, required)
    - `ProcessDocument.response.503.error.issues.path` (string, required)
  - `ProcessDocument.response.503.error.quota` (object, optional) — quota_exceeded: the quota that refused the request (contracts/quotas.md, "When a quota is exceeded"). Never with Retry-After.
    - `ProcessDocument.response.503.error.quota.id` (string, required)
    - `ProcessDocument.response.503.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ProcessDocument.response.503.error.quota.limit` (integer, required)
      - min 0
    - `ProcessDocument.response.503.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ProcessDocument.response.503.error.quota.inFlight` (integer, optional)
      - min 0
    - `ProcessDocument.response.503.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ProcessDocument.response.503.error.quota.region` (string, optional)
    - `ProcessDocument.response.503.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ProcessDocument.response.503.error.quota.scopeResourceName` (string, optional)
    - `ProcessDocument.response.503.error.quota.used` (integer, optional)
      - min 0
    - `ProcessDocument.response.503.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 504

Platform error; quota_exceeded never has Retry-After.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ProcessDocument.response.504.error` (object, required)
  - `ProcessDocument.response.504.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ProcessDocument.response.504.error.message` (string, required)
    - maxLength 1024
  - `ProcessDocument.response.504.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ProcessDocument.response.504.error.issues.message` (string, required)
    - `ProcessDocument.response.504.error.issues.path` (string, required)
  - `ProcessDocument.response.504.error.quota` (object, optional) — quota_exceeded: the quota that refused the request (contracts/quotas.md, "When a quota is exceeded"). Never with Retry-After.
    - `ProcessDocument.response.504.error.quota.id` (string, required)
    - `ProcessDocument.response.504.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ProcessDocument.response.504.error.quota.limit` (integer, required)
      - min 0
    - `ProcessDocument.response.504.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ProcessDocument.response.504.error.quota.inFlight` (integer, optional)
      - min 0
    - `ProcessDocument.response.504.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ProcessDocument.response.504.error.quota.region` (string, optional)
    - `ProcessDocument.response.504.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ProcessDocument.response.504.error.quota.scopeResourceName` (string, optional)
    - `ProcessDocument.response.504.error.quota.used` (integer, optional)
      - min 0
    - `ProcessDocument.response.504.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.


Source: https://docs.ezghcloud.com/ocr-api/ProcessDocument/index.md
